A playground for University of Bologna Students and a 6-days seminar about digital tools.

Digital generative tools are a very important part of architectural education. Andrew Kudless during his conference at SimAE was telling about chinese traditional woodcraftsmen: they spend their first two years of apprentice in making their own tools. Today, we have a large pool of digital ready made tools, built to respond to more or less specific problems or tasks, while keeping a level of flexibility and personalization. The majority of these tools have hidden capabilities, which can only be accessed bypassing the conventional interface and getting close to the machine logic of programming or building parametric components which generate shapes. Thus, seriality, differentiation, complexity can be implemented in architectural projects through code, in order to exploit the power of algorithmic based complex systems which are the basis of biological systems.


But, before going through such complexity, we must start with simple tasks and simple rules. Before playing seriously we need practice. This is the playground where a bunch of students will start to practice, a pool where they will share their results and questions. Maybe the stuff here that will be posted will seem obvious or naive to the navigated code-monkey, but, as I mentioned before, we all start from the basics and this is intended as a place to start. However, any comment and contribution is appreciated.

Playground is open, let's play! _ Alessio

4.2.09

random lofts

This is a simple script we are writing in class, it generates random points (the number is user defined) in a cubic space of 200 units and then generates lines between them if they are closer than a distance (user defined). In the end it generates lofts between these lines.



Option Explicit
' . Script written by Vincenzo Reale edited by Mario Da Deppo
' . univin@libero.it
'Script version mercoledì 4 febbraio 2009 11.46.11


Call Main()
Sub Main()

Dim intNpt: intNpt = Rhino.GetInteger("how many points?",100,50,500):
Dim dblDist: dblDist = Rhino.GetReal("minimum distance?",50,5,100)

Call rhino.EnableRedraw(False)

Dim i,j, dblPointDist

Dim arrPts: ReDim arrPts(intNpt-1)
Dim arrPtsc: ReDim arrPtsc(intNpt-1)
Dim arrLines(),intCount
intCount = 0

For i = 0 To intnpt-1

arrPts(i) = Rhino.AddPoint(array(Rnd*200,rnd*200,rnd*200))
arrPtsc(i) = Rhino.PointCoordinates(arrpts(i))

Next

For i = 0 To Ubound(arrPts)
For j = 0 To i
If i <> j Then
dblPointDist = rhino.Distance(arrPtsc(i),arrPtsc(j))
If dblPointDist <>
ReDim Preserve arrLines(intCount)
arrLines(intCount) = rhino.AddLine (arrPtsc(i),arrPtsc(j))
intCount = intCount+1
End If
End If
Next
Next

Call rhino.AddLoftSrf (arrLines)
Call rhino.EnableRedraw(True)
End Sub

No comments:

Post a Comment